Search documentation of ExStreamClient

# ExStreamClient.Model.EnrichedReaction (ExStreamClient v0.1.10)

View Source

Schema representing a EnrichedReaction

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.EnrichedReaction{
      activity_id: String.t(),
      children_counts: %{optional(String.t()) => integer()} | nil,
      created_at: ExStreamClient.Model.Time.t() | nil,
      data: %{optional(String.t()) => any()} | nil,
      id: String.t() | nil,
      kind: String.t(),
      latest_children: %{optional(String.t()) => [t()]} | nil,
      own_children: %{optional(String.t()) => [t()]} | nil,
      parent: String.t() | nil,
      target_feeds: [String.t()] | nil,
      updated_at: ExStreamClient.Model.Time.t() | nil,
      user: ExStreamClient.Model.Data.t() | nil,
      user_id: String.t()
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()